#include <stdio.h>
#include <stdlib.h>
#include "crisThickMaps.h"

void main(int argc, void* argv[]) {
    struct dblAndInt thicknessAndExtrapCount;
    double thickness;
    int extrapCount;
    char* stackLocation = "T8B";
    float x, y;

    if (argc != 2) {
	fprintf(stderr, "Usage: test stackDetectorID\n");
	exit(0);
    }

    stackLocation = (char*) argv[1];

    for (x = -47.5; x < 50.0; x += 5.0) {
	for (y = -47.5; y < 50.0; y += 5.0) {
	    thicknessAndExtrapCount = getCrisThickness(stackLocation, x, y);
	    thickness = thicknessAndExtrapCount.dbl;
	    printf("%f %f %f\n", x, y, thickness);
	}
    }
}
